package dev.peerat.mapping.providers.mysql;

import java.util.List;

import dev.peerat.parser.java.Value.MethodCallValue;

public class MySQLRequestBuilder{
	
	private List<MethodCallValue> calls;
	private String select;
	private String from;
	
	public MySQLRequestBuilder(List<MethodCallValue> calls){
		this.calls = calls;
	}
	
	private String toStringOperation(MethodCallValue value){
		String method = value.getToken().getValue();
		if(method.equals("selectAll()")){
			return "SELECT *";
		}
		if(method.equals("select()")){
			throw new RuntimeException(value.getParameters().get(0)+"");
//			return "SELECT ";
		}
			
		return null;
	}
	
	public void build(){
		this.select = toStringOperation(calls.get(0));
	}

}
